## WebKitDOMWebKitPoint

WebKitDOMWebKitPoint

## Functions

gfloat | webkit_dom_webkit_point_get_x ()
void | webkit_dom_webkit_point_set_x ()
gfloat | webkit_dom_webkit_point_get_y ()
void | webkit_dom_webkit_point_set_y ()

## Properties

gfloat | x | Read / Write
gfloat | y | Read / Write

## Types and Values

| WebKitDOMWebKitPoint

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMWebKitPoint

## Description

## Functions

### webkit_dom_webkit_point_get_x ()

    gfloat
    webkit_dom_webkit_point_get_x (WebKitDOMWebKitPoint *self);

#### Parameters

self | A WebKitDOMWebKitPoint |

#### Returns

A gfloat

### webkit_dom_webkit_point_set_x ()

    void
    webkit_dom_webkit_point_set_x (WebKitDOMWebKitPoint *self,
                                   gfloat value);

#### Parameters

self | A WebKitDOMWebKitPoint |
value | A gfloat |

### webkit_dom_webkit_point_get_y ()

    gfloat
    webkit_dom_webkit_point_get_y (WebKitDOMWebKitPoint *self);

#### Parameters

self | A WebKitDOMWebKitPoint |

#### Returns

A gfloat

### webkit_dom_webkit_point_set_y ()

    void
    webkit_dom_webkit_point_set_y (WebKitDOMWebKitPoint *self,
                                   gfloat value);

#### Parameters

self | A WebKitDOMWebKitPoint |
value | A gfloat |

## Types and Values

### WebKitDOMWebKitPoint

    typedef struct _WebKitDOMWebKitPoint WebKitDOMWebKitPoint;

## Property Details

### The `“x”` property

      “x”                        gfloat

read-write gfloat WebKitPoint:x.

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gfloat

read-write gfloat WebKitPoint:y.

Flags: Read / Write

Default value: 0